eliminate_test_chatter.patch

application/octet-stream

Filename: eliminate_test_chatter.patch
Type: application/octet-stream
Part: 0
Message: pg_upgrade test chatter

Patch

Format: unified
File+
src/bin/pg_upgrade/test.sh 4 0
diff --git a/src/bin/pg_upgrade/test.sh b/src/bin/pg_upgrade/test.sh
index 8593488907..d6e1a36d05 100644
--- a/src/bin/pg_upgrade/test.sh
+++ b/src/bin/pg_upgrade/test.sh
@@ -172,6 +172,10 @@ createdb "regression$dbname1" || createdb_status=$?
 createdb "regression$dbname2" || createdb_status=$?
 createdb "regression$dbname3" || createdb_status=$?
 
+# Create "regression" database to eliminate chatter from when installcheck
+# attempts to drop it.
+createdb "regression" || createdb_status=$?
+
 # Extra options to apply to the dump.  This may be changed later.
 extra_dump_options=""